/**
 * 
 */
package org.test;

import javax.servlet.annotation.WebFilter;
import javax.servlet.annotation.WebInitParam;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletContextInitializer;
import org.springframework.context.annotation.Bean;
import com.thetransactioncompany.cors.CORSFilter;
import com.vaadin.spring.annotation.SpringComponent;

/**
 * @author Ernst
 *
 */
@SpringBootApplication
public class Application
{

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
        SpringApplication.run(Application.class, args);
	}

	@SpringComponent
	@WebFilter(urlPatterns = "/*", initParams = @WebInitParam(name = "cors.allowOrigin", value = "*"))
	public static class EmbeddedUICorsFilter extends CORSFilter
	{
	    	
	}

//	@Bean
//    public CORSFilter corsFilter()
//	{
//        return new CORSFilter();
//    }

	@Bean
    public ServletContextInitializer sessionCookieConfigListener()
	{
        return context -> context.getSessionCookieConfig().setName("bootapp-session-id");
    }
}
